Skip to main content
GET
/
stats
/
api
/
v1
/
aggregations
/
traders
Get Top Traders Aggregation
curl --request GET \
  --url https://api.example.com/stats/api/v1/aggregations/traders
{
  "value": [
    {
      "trader": "<string>",
      "volume": "<string>",
      "realizedPnl": "<string>",
      "accountValue": "<string>"
    }
  ],
  "nextCursor": 123,
  "success": true,
  "timestamp": 123
}

Query Parameters

trader
string

The trader address, with the discriminant prefix.

limit
integer
default:500

The number of rows to return

cursor
integer

The cursor for the beginning of the next page of top traders to fetch.

topTradersOrdering
enum<string>
default:volume

The order by which to fetch top traders.

Available options:
volume,
pnl,
accountValue
order
enum<string>
default:asc

The ordering of the results.

Available options:
asc,
desc

Response

Top Traders data

Successful response for the TopTraders API

value
object[]
required

The value of the response

nextCursor
number | null
required

The cursor for the beginning of the next page of top traders to fetch.

Examples:

100

null

success
boolean
required

Whether the request was successful

timestamp
number
required

The timestamp of the response

Example:

1673031089

Last modified on April 27, 2026